@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
     Ugentligt aktivitet - Opret
@endsection

@section("path")
    <a href="{{ route('multiple-events.create') }}" class="text-white">Opret ugentligt aktivitet</a> /
@endsection

@section("content")
    <style>
        .toggle__label::before, .toggle__label::after {
            border-color: black;
        }
        .toggle__text::before {
            border-color: black;
        }

        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        td, th {

            text-align: left;
            padding: 8px;
        }

        .bg-red {
            background: #B20000FF;
            color: white;
        }
    </style>
    <link href="{{ asset("/css/quill/quill.snow.css") }}" rel="stylesheet">
    <h1 id="errormesseages" >Opret ugentligt  aktivitet: [Vi er i uge <?php echo date('W'); ?>]</h1>


    <form method="post" action="{{ route("multiple-events.store") }}" enctype="multipart/form-data">
    <!--datetime-local-->
        @csrf
        <input type="number" name="week" placeholder="Uge" maxlength="2" value="{{ old('week') }}" max="53" required>
        <label id="fileuploadee"for="fileuploade">Baggrundsbillede til nyheden (Valgfri)</label>
        <input id="fileuploade" type="file" name="resource" accept="image/*">
        <table id="table">
            <tr>
                <th>Aktivitets navn</th>
                <th>Aktivitets beskrivelse</th>
                <th>Tovholder</th>
                <th>Tidsrum (Start)</th>
                <th><button type="button" class="btn btn-inline btn-sde-blue" id="add2">Tilføj Række</button></th>
            </tr>
                @if (!empty(old('name')))
                    @for ($i = 0; $i < count(old('name')); $i++)
                        <tr>
                            <td><input type="text" name="name[]" value="{{ old('name.'.$i) }}" maxlength="255"></td>
                            <td><input type="text" name="description[]" value="{{ old('description.'.$i) }}"></td>
                            <td><input type="text" name="accountable[]" value="{{ old('accountable.'.$i) }}" maxlength="255"></td>
                            <td><input type="datetime-local" name="date[]" value="{{ old('date.'.$i) }}"></td>
                            <td><button type="button" onclick="removeRow(this)" class="btn btn-inline bg-red">Fjern Række</button></td>
                        </tr>
                    @endfor
                @else
                    <tr>
                        <td><input type="text" name="name[]" maxlength="255"></td>
                        <td><input type="text" name="description[]"></td>
                        <td><input type="text" name="accountable[]" maxlength="255"></td>
                        <td><input type="datetime-local" name="date[]"></td>
                        <td><button type="button" onclick="removeRow(this)" class="btn btn-inline bg-red">Fjern Række</button></td>
                    </tr>
                @endif
        </table>

        <label class="toggle">
            <input id="isNews" class="toggle__input" type="checkbox" name="newsoption" onclick="change()">
            <span class="toggle__label">
                    <span class="toggle__text">Opret som nyhed</span>
                </span>
        </label>

        <input id="disable" type="submit" class="btn btn-dark text-white" value="Opret">
    </form>
@endsection
@section("scripts")
    <script>
        $(function() {
            $('form').areYouSure(
                {
                    message: 'It looks like you have been editing something. '
                        + 'If you leave before saving, your changes will be lost.'
                }
            );
        });

        $(document).ready(function () {
            $value = $('#name').val();
            $.ajax({
                type: 'get',
                url: '{{route('events.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        });

        $('#name').on('keyup', function () {
            $value = $(this).val();
            $.ajax({
                type: 'get',
                url: '{{route('events.nameCheck')}}',
                data: {'nameCheck':$value},
                success:function (data) {
                    if(data){
                        $("#error").show(100);
                        $("#error").css('color', 'red');
                        $("#disable").prop('disabled', true);
                        $('#disable').css('cursor','not-allowed');
                    }else{
                        $("#error").hide();
                        $("#disable").prop('disabled', false);
                        $('#disable').css('cursor','pointer');
                    }

                },
                error:function (data) {
                    console.log(data);
                }
            });
        })

        $(document).ready(function (){
            $("#add2").click(function(){
                    $( "#table" ).append( "<tr>" +
                        "<td><input type='text' name='name[]'></td>" +
                        "<td><input type='text' name='description[]'></td>" +
                        "<td><input type='text' name='accountable[]'></td>" +
                        "<td><input type='datetime-local' name='date[]'></td>" +
                        "<td><button type='button' onclick='removeRow(this)' class='btn btn-inline bg-red'>Fjern Række</button></td>" +
                        "</tr>" );
                console.log("1");
            });
        });

        function removeRow(el) {
            Swal.fire({
                title: 'Er du sikker?',
                text: "Dette kan ikke blive ændret tilbage!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Fjern Række',
                cancelButtonText: 'Annuller'
            }).then((result) => {
                if (result.isConfirmed) {
                    $(el).parent().parent().remove();
                }
            })
        }
    </script>
@endsection
